# Created by pyp2rpm-3.3.3
%global pypi_name pytest-cython

Name:           python-%{pypi_name}
Version:        0.2.2
Release:        %mkrel 1
Summary:        A plugin for testing Cython extension modules
Group:          Development/Python
License:        MIT
URL:            https://github.com/lgpage/pytest-cython
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest) >= 2.7.3
# tests
BuildRequires:  python3dist(nox)
BuildRequires:  python3dist(myst-parser)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-py3doc-enhanced-theme)

%description
This Pytest plugin allows for the doctesting of C extension modules for Python,
specifically created through Cython.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pytest) >= 2.7.3
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
This Pytest plugin allows for the doctesting of C extension modules for Python,
specifically created through Cython.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD}/build/lib/ sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files pytest_cython

%check
export PY_IGNORE_IMPORTMISMATCH=1
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md
%doc html


%changelog
* Sat Jul 13 2024 papoteur <papoteur> 0.2.2-1.mga10
+ Revision: 2080962
- new version 0.2.2

* Fri Dec 08 2023 wally <wally> 0.1.1-3.mga10
+ Revision: 2015713
- rebuild for py3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.1.1-2.mga9
+ Revision: 1832691
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 0.1.1-1.mga9
+ Revision: 1775811
- version 0.1.1
- rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 0.1.0-3.mga9
+ Revision: 1717071
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.1.0-2.mga8
+ Revision: 1541954
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 0.1.0-1.mga8
+ Revision: 1475685
- imported package python-pytest-cython

